Loading...
Searching...
No Matches
AVIAMFAudioElement Struct Reference
libavutil » Audio related » Immersive Audio Model and Formats » Audio Element

Information on how to combine one or more audio streams, as defined in section 3.6 of IAMF. More...

`#include <libavutil/iamf.h>`

## Data Fields

const AVClass * | av_class
AVIAMFLayer ** | layers
unsigned int | nb_layers
| Number of layers, or channel groups, in the Audio Element.
AVIAMFParamDefinition * | demixing_info
| Demixing information used to reconstruct a scalable channel audio representation.
AVIAMFParamDefinition * | recon_gain_info
| Recon gain information used to reconstruct a scalable channel audio representation.
enum AVIAMFAudioElementType | audio_element_type
| Audio element type as defined in section 3.6 of IAMF.
unsigned int | default_w
| Default weight value as defined in section 3.6 of IAMF.

## Detailed Description

Information on how to combine one or more audio streams, as defined in section 3.6 of IAMF.

Note
  The struct should be allocated with av_iamf_audio_element_alloc() and its size is not a part of the public ABI.

Definition at line 356 of file iamf.h.

## Field Documentation

## av_class

const AVClass* AVIAMFAudioElement::av_class

Definition at line 357 of file iamf.h.

## layers

AVIAMFLayer** AVIAMFAudioElement::layers

Definition at line 359 of file iamf.h.

## nb_layers

unsigned int AVIAMFAudioElement::nb_layers

Number of layers, or channel groups, in the Audio Element.

There may be 6 layers at most, and for audio_element_type AV_IAMF_AUDIO_ELEMENT_TYPE_SCENE, there may be exactly 1.

Set by av_iamf_audio_element_add_layer(), must not be modified by any other code.

Definition at line 368 of file iamf.h.

## demixing_info

AVIAMFParamDefinition* AVIAMFAudioElement::demixing_info

Demixing information used to reconstruct a scalable channel audio representation.

The type must be AV_IAMF_PARAMETER_DEFINITION_DEMIXING.

Definition at line 376 of file iamf.h.

## recon_gain_info

AVIAMFParamDefinition* AVIAMFAudioElement::recon_gain_info

Recon gain information used to reconstruct a scalable channel audio representation.

The type must be AV_IAMF_PARAMETER_DEFINITION_RECON_GAIN.

Definition at line 383 of file iamf.h.

## audio_element_type

enum AVIAMFAudioElementType AVIAMFAudioElement::audio_element_type

Audio element type as defined in section 3.6 of IAMF.

Definition at line 388 of file iamf.h.

## default_w

unsigned int AVIAMFAudioElement::default_w

Default weight value as defined in section 3.6 of IAMF.

Definition at line 393 of file iamf.h.

The documentation for this struct was generated from the following file:

- libavutil/iamf.h